org.jboss.jca.codegenerator.code

## Class PropsCodeGen

- java.lang.Object
- - org.jboss.jca.codegenerator.BaseGen
  - - org.jboss.jca.codegenerator.code.AbstractCodeGen
    - - org.jboss.jca.codegenerator.code.PropsCodeGen

- Direct Known Subclasses:
    AoImplCodeGen, AsCodeGen, McfCodeGen, RaCodeGen

      public abstract class PropsCodeGen
      extends AbstractCodeGen

  A properties code generator
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropsCodeGen()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<ConfigPropType>` | `getConfigProps(Definition def)` get list of ConfigPropType
    `protected void` | `importConfigProperty(Definition def, java.io.Writer out)` import ConfigProperty

    - ### Methods inherited from class org.jboss.jca.codegenerator.code.AbstractCodeGen

      `generate, getClassName, getNumOfMcf, getSelfClassName, importLogging, setNumOfMcf, writeClassBody, writeImport, writeLogging`

    - ### Methods inherited from class org.jboss.jca.codegenerator.BaseGen

      `writeEol, writeheader, writeIndent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropsCodeGen

          public PropsCodeGen()

  - ### Method Detail

    - #### getConfigProps

          public abstract java.util.List<ConfigPropType> getConfigProps(Definition def)

      get list of ConfigPropType
      Parameters:
        `def` - definition
      Returns:
        List List of ConfigPropType

    - #### importConfigProperty

          protected void importConfigProperty(Definition def,
                                              java.io.Writer out)
                                       throws java.io.IOException

      import ConfigProperty
      Parameters:
        `def` - definition
        `out` - Writer
      Throws:
        `java.io.IOException` - IOException

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)